/* 
 *    SSMART: Sequence-structure motif identification for RNA-binding proteins *
 *    Version 1.2, 20 Jul 2017                                                 *
 *    Copyright (C) 2017  Alina Munteanu, Stoyan Georgiev, Uwe Ohler           *
 *                                                                             *
 *    SSMART is free software: you can redistribute it and/or modify           *
 *    it under the terms of the GNU General Public License as published by     *
 *    the Free Software Foundation, either version 3 of the License, or        *
 *    (at your option) any later version.                                      *
 *                                                                             *
 *    This program is distributed in the hope that it will be useful,          *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 *    GNU General Public License for more details.                             *
 *                                                                             *
 *    You should have received a copy of the GNU General Public License        *
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.    *
 *                                                                             *
 *    E-mail: alina-cristina.munteanu@mdc-berlin.de, uwe.ohler@mdc-berlin.de   *
 */

#ifndef FILE_H_
#define FILE_H_

#include <dirent.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "sort.h"


bool file_exist(char *filename);
FILE *open_file(char *filename, char * r_w);
//void close_file(FILE **fp);

//char *create_tmp_filename(char *base_name, char *output_directory);

//list_node *read_file(char *filename);
void read_file_lines(char *in_file, char ***lines, int *num_lines);
void free_file_lines(char ***lines, int num_lines);
int count_lines(char *file);

void write_to_file(char *filename, char *string);

// returns name of the current directory
char *get_curr_dir();
// creates a subdirectory to the current active directory
void create_dir(char *name);
void print_current_dir_contents();
bool search_current_dir();

#endif /*FILE_H_*/
