/* 
 *    SSMART: Sequence-structure motif identification for RNA-binding proteins *
 *    Version 1.2, 20 Jul 2017                                                 *
 *    Copyright (C) 2017  Alina Munteanu, Stoyan Georgiev, Uwe Ohler           *
 *                                                                             *
 *    SSMART is free software: you can redistribute it and/or modify           *
 *    it under the terms of the GNU General Public License as published by     *
 *    the Free Software Foundation, either version 3 of the License, or        *
 *    (at your option) any later version.                                      *
 *                                                                             *
 *    This program is distributed in the hope that it will be useful,          *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 *    GNU General Public License for more details.                             *
 *                                                                             *
 *    You should have received a copy of the GNU General Public License        *
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.    *
 *                                                                             *
 *    E-mail: alina-cristina.munteanu@mdc-berlin.de, uwe.ohler@mdc-berlin.de   *
 */

#ifndef MOTIF_EVOLUTION_INTERFACE_H_
#define MOTIF_EVOLUTION_INTERFACE_H_

/*
typedef void(*pt2select_next_motif)(double *scores, int num, int *selected_ind);
void select_next_motif_sample(double *scores, int num, int *selected_ind);
void select_next_motif_top_scoring(double *scores, int num, int *selected_ind);
*/

typedef void(*pt2select_next_motif)(double current, double *neighbours, int num_neighbours, int *next_index);
void select_next_motif_sample(double current, double *neighbours, int num_neighbours, int *next_index);
void select_next_motif_top_scoring(double current, double *neighbours, int num_neighbours, int *next_index);

#endif /*MOTIF_EVOLUTION_INTERFACE_H_*/
