/* 
 *    SSMART: Sequence-structure motif identification for RNA-binding proteins *
 *    Version 1.2, 20 Jul 2017                                                 *
 *    Copyright (C) 2017  Alina Munteanu, Stoyan Georgiev, Uwe Ohler           *
 *                                                                             *
 *    SSMART is free software: you can redistribute it and/or modify           *
 *    it under the terms of the GNU General Public License as published by     *
 *    the Free Software Foundation, either version 3 of the License, or        *
 *    (at your option) any later version.                                      *
 *                                                                             *
 *    This program is distributed in the hope that it will be useful,          *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 *    GNU General Public License for more details.                             *
 *                                                                             *
 *    You should have received a copy of the GNU General Public License        *
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.    *
 *                                                                             *
 *    E-mail: alina-cristina.munteanu@mdc-berlin.de, uwe.ohler@mdc-berlin.de   *
 */

#ifndef MOTIF_OCCURRENCES_H_
#define MOTIF_OCCURRENCES_H_

#include "degen_gene_set.h"

//void output_motif_target_set(d_gs *motif, params *p, char *out_motif_occ_file);
void output_motif_target_set(d_gs *motif, params *p, char *out_motif_occ_file, char *out_motif_genesets_file);

// searching sequences for oligomer occurrences and exact locations of each match
void find_degen_oligo_set_locations(void **index, unsigned char **oligos, int num_oligos, int seq_length, int num_sequences, motif_occurrences *occ_out);
void free_motif_occurrences(motif_occurrences *occ);
void degen_oligo_occurrences_init(degen_oligo_occurrences *dg_occ, int num_instantiations, int num_seq_regions);
void degen_oligo_occurrences_free(degen_oligo_occurrences *dg_occ);
void find_degen_oligo_set_occurrences_ALL(void **index, unsigned char **oligos, int num_oligos, int seq_length, int num_sequences, degen_oligo_occurrences *dg_occ_out);

#endif
