/* 
 *    SSMART: Sequence-structure motif identification for RNA-binding proteins *
 *    Version 1.2, 20 Jul 2017                                                 *
 *    Copyright (C) 2017  Alina Munteanu, Stoyan Georgiev, Uwe Ohler           *
 *                                                                             *
 *    SSMART is free software: you can redistribute it and/or modify           *
 *    it under the terms of the GNU General Public License as published by     *
 *    the Free Software Foundation, either version 3 of the License, or        *
 *    (at your option) any later version.                                      *
 *                                                                             *
 *    This program is distributed in the hope that it will be useful,          *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 *    GNU General Public License for more details.                             *
 *                                                                             *
 *    You should have received a copy of the GNU General Public License        *
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.    *
 *                                                                             *
 *    E-mail: alina-cristina.munteanu@mdc-berlin.de, uwe.ohler@mdc-berlin.de   *
 */

#ifndef SORT_H_
#define SORT_H_

#include "degen_gene_set.h"
#include "analysis.h"

typedef enum {decreasing, increasing} sort_order;

// int
void sort(int array[], int NumberOfElements);
void test_sort();

// double
void sort_double(double array[], int NumberOfElements, sort_order so);
void test_sort_double();

// sort 'dg_s' by value of 'score'
void sort_d_gs(d_gs **array, int NumberOfElements, sort_order so);
void test_sort_d_gs();

// sort 'dg_s' by ABSOLUTE value of 'score'
void sort_d_gs_abs(d_gs **array, int NumberOfElements, sort_order so);

// sort 'miRNA' by ABSOLUTE value of 'max_score'
//void sort_miRNA(miRNA *array, int *indexes, int NumberOfElements, sort_order so);

void sort_oligo_count_pairs(oligo_count_pair **array, int NumberOfElements, sort_order so);
//void sort_g_s(gene_stat_pair **array, int NumberOfElements, sort_order so);

//void sort_gene_level_scores(gene_level_scores *array, int NumberOfElements, sort_order so);

#endif /*SORT_H_*/
