/* 
 *    SSMART: Sequence-structure motif identification for RNA-binding proteins *
 *    Version 1.2, 20 Jul 2017                                                 *
 *    Copyright (C) 2017  Alina Munteanu, Stoyan Georgiev, Uwe Ohler           *
 *                                                                             *
 *    SSMART is free software: you can redistribute it and/or modify           *
 *    it under the terms of the GNU General Public License as published by     *
 *    the Free Software Foundation, either version 3 of the License, or        *
 *    (at your option) any later version.                                      *
 *                                                                             *
 *    This program is distributed in the hope that it will be useful,          *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 *    GNU General Public License for more details.                             *
 *                                                                             *
 *    You should have received a copy of the GNU General Public License        *
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.    *
 *                                                                             *
 *    E-mail: alina-cristina.munteanu@mdc-berlin.de, uwe.ohler@mdc-berlin.de   *
 */

#include "timer.h"

time_t start_timer()
{
	return time(NULL);
}

void print_time(time_t timer, FILE *f)
{
	int time_seconds = time(NULL)-timer;
	int hours = time_seconds / 3600;
	int mins = (time_seconds - hours * 3600) / 60;
	int secs = time_seconds - hours * 3600 - mins * 60;

	display_time(hours, mins, secs, f);

}


void display_time(int hours, int mins, int secs, FILE *f)
{
	fprintf(f, "time elapsed: ");
	if(hours > 0)
		fprintf(f, "%i hour(s) ", hours);
	if(mins > 0)
		fprintf(f, "%i min(s) ", mins);
	fprintf(f, "%i sec(s)\n", secs);
}

void display_current_time()
{
	time_t result = time(NULL);
   	printf("%s", asctime(localtime(&result)));
}


int get_num_secs(time_t timer)
{
	int time_seconds  = time(NULL)-timer;
	int hours = time_seconds / 3600;
	int mins  = (time_seconds - hours * 3600) / 60;
	int secs  = time_seconds - hours * 3600 - mins * 60;
	return secs;
}

void get_time(time_t timer, int *hours, int *mins, int *secs)
{
	int time_seconds  = time(NULL)-timer;
	*hours = time_seconds / 3600;
	*mins  = (time_seconds - (*hours) * 3600) / 60;
	*secs  = time_seconds - (*hours) * 3600 - (*mins) * 60;
}
